# xmms-wmdiscotux.spec
%define version 1.15
%define release 1
%define name wmdiscotux
%define prefix /usr

Summary: wmDiscoTux - an XMMS plugin for WindowMaker
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Multimedia
Source: %{name}-%{version}.tar.gz
Patch: %{name}-1.15.patch
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: GPL
Url: http://fragment.stc.cx/wmdiscotux
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>
Vendor: Antti Takala <fragment@nic.fi>

Requires: xmms
BuildRequires: xmms-devel
%description
wmDiscoTux is a simple xmms visualization plugin that sits nicely in
windowmaker's (afterstep etc. should work too) dock. Tux moves his
bodyparts with the music. Read the "features" section for more info.

%changelog
* Thu Dec  2 1999 Chris Green <sprout@dok.org>

- initialization of spec file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Visualization
install -c -m 755 wmdiscotux.so $RPM_BUILD_ROOT/usr/lib/xmms/Visualization

%files
%defattr(-,root,root)
%doc COPYING README
/usr/lib/xmms/Visualization/*

%clean
rm -rf $RPM_BUILD_ROOT
# end of file
